C NCLFORTSTART
	subroutine xmiss (val, vmiss, nx, ny)

C do single pass through field; if field exceeds threshhold, increment

	real val(nx,ny),vmiss(nx,ny) 
C NCLEND

	do i=1,nx
	do j=1,ny
C minimum threshold
	   if(val(i,j).ne.-999) then
              vmiss(i,j)=vmiss(i,j)+1.
	   endif
	enddo
	enddo
	return
	end
